Page MenuHomeFreeBSD

timerfd: Add manual page
ClosedPublic

Authored by jfree on May 22 2023, 10:02 PM.
Referenced Files
Unknown Object (File)
Mon, Jul 8, 2:02 AM
Unknown Object (File)
Sun, Jun 23, 9:07 AM
Unknown Object (File)
Jun 16 2024, 1:14 AM
Unknown Object (File)
Jun 12 2024, 2:03 PM
Unknown Object (File)
May 31 2024, 8:52 AM
Unknown Object (File)
May 22 2024, 3:26 AM
Unknown Object (File)
May 22 2024, 1:16 AM
Unknown Object (File)
May 21 2024, 10:01 AM
Subscribers

Details

Summary

This manual page accompanies the timerfd system calls.

https://reviews.freebsd.org/D38459

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Just a little style for the mail addresses in the HISTORY section, otherwise LGTM. Can't speak for the technical details.

lib/libc/sys/timerfd.2
329

I would add an '.An -nosplit' after .Sh HISTORY.

333

On a separate line

.An Dmitry Chagin Aq Mt dchagin@FreeBSD.org

335

On a separaate line

.An Jake Freeland Aq Mt jfree@FreeBSD.org

Fix formatting in HISTORY section thanks to @gbe.

grahamperrin added a subscriber: grahamperrin.
grahamperrin added inline comments.
lib/libc/sys/timerfd.2
166

Might Normally or Typically be better?

(Because regularity can be time-related, i.e. "like clockwork".)

235
273
287
This revision now requires changes to proceed.Jun 29 2023, 3:47 AM
jfree marked 4 inline comments as done.

Address @grahamperrin's comments.

Looks good to my eye. Looks like all the comments have been addressed.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 24 2023, 8:31 PM
Closed by commit rG8544651dc509: timerfd: Add manual page. (authored by jfree, committed by imp). · Explain Why
This revision was automatically updated to reflect the committed changes.